org.apache.ignite.internal.processors.cache.persistence

## Class GridCacheDatabaseSharedManager.RestoreLogicalState

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.persistence.GridCacheDatabaseSharedManager.RestoreLogicalState

Enclosing class:
  GridCacheDatabaseSharedManager

    public class GridCacheDatabaseSharedManager.RestoreLogicalState
    extends Object

Restore logical state context. Tracks the safety of logical recovery.

### Constructor Summary

Constructors
Constructor and Description
`RestoreLogicalState(CheckpointStatus status, WALIterator iterator, long lastArchivedSegment, IgnitePredicate<Integer> cacheGroupsPredicate, Map<GroupPartitionId,Integer> partitionRecoveryStates)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Map<GroupPartitionId,Integer>` `partitionRecoveryStates()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RestoreLogicalState

    public RestoreLogicalState(CheckpointStatus status,
                               WALIterator iterator,
                               long lastArchivedSegment,
                               IgnitePredicate<Integer> cacheGroupsPredicate,
                               Map<GroupPartitionId,Integer> partitionRecoveryStates)

Parameters:
  `lastArchivedSegment` - Last archived segment index.
  `partitionRecoveryStates` - Initial partition recovery states.

### Method Detail

#### partitionRecoveryStates

    public Map<GroupPartitionId,Integer> partitionRecoveryStates()

Returns:
  Map of restored partition states for cache groups.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.0
Release Date | : September 11 2021